###################################################
### chunk number 1: 
###################################################
library(SNPtools)


###################################################
### chunk number 2: baseURL
###################################################
print(.SNPperBaseURL)


###################################################
### chunk number 3: primitiveInterface
###################################################
dput(useSNPper)
print(useSNPper("geneinfo","&name=CRP")[1:7])


###################################################
### chunk number 4: demoGeneInfo
###################################################
print(geneInfo("CRP"))


###################################################
### chunk number 5: demoGeneLayout
###################################################
print(geneLayout("546"))


###################################################
### chunk number 6: demoGenesInRange
###################################################
print(itemsInRange("genes", "chr1", "156400000", "156500000"))



###################################################
### chunk number 7: SNPinfoDemo
###################################################
print(SNPinfo("25"))


###################################################
### chunk number 8: SNPsInRangeDemo
###################################################
ird <- itemsInRange("snps", "chr1", "156400000", "156500000")
print(length(ird))
print(ird[1:3])


###################################################
### chunk number 9: countSNPsInRangeDemo
###################################################
print(itemsInRange("countsnps", "chr1", "156400000", "156500000"))


###################################################
### chunk number 10: geneSNPsDemo
###################################################
gs <- geneSNPs("546")
print(length(gs))
print(gs[1:3])


###################################################
### chunk number 11: snpDensity
###################################################
print(itemsInRange("countsnps", "chr1", "1", "100000"))
system("sleep 2")
print(itemsInRange("countsnps", "chr1", "100001", "200000"))
system("sleep 2")
print(itemsInRange("countsnps", "chr1", "200001", "300000"))
system("sleep 2")


###################################################
### chunk number 12: fullRun
###################################################
starts <- as.character(as.integer(seq(1,2000001,100000)))
ends <- as.character(as.integer(as.integer(starts)+99999))
out <- matrix(NA,nr=20,nc=3)
for (i in 1:20)
  {
  cat(i)
  out[i,] <- itemsInRange("countsnps", "chr1", starts[i], ends[i])
  system("sleep 2")
  }
print(out)


